DependencyArtifact (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.artifacts

## [Java] Interface DependencyArtifact

- An `Artifact` represents an artifact included in a Dependency.

  An artifact is an (immutable) value object.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `DEFAULT_TYPE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getClassifier()` Returns the classifier of this artifact.
    `String` | `getExtension()` Returns the extension of this artifact.
    `String` | `getName()` Returns the name of this artifact.
    `String` | `getType()` Returns the type of this artifact.
    `String` | `getUrl()` Returns an URL under which this artifact can be retrieved.
    `void` | `setClassifier(String classifier)` Sets the classifier of this artifact.
    `void` | `setExtension(String extension)` Sets the extension of this artifact.
    `void` | `setName(String name)` Sets the name of this artifact.
    `void` | `setType(String type)` Sets the type of this artifact.
    `void` | `setUrl(String url)` Sets the URL for this artifact.

- - ### Field Detail

    - #### public String DEFAULT_TYPE

  - ### Method Detail

    - #### public String getClassifier()

      Returns the classifier of this artifact.

    - #### public String getExtension()

      Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getType()

    - #### public String getName()

      Returns the name of this artifact.

    - #### public String getType()

      Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getExtension()

    - #### public String getUrl()

      Returns an URL under which this artifact can be retrieved. If not specified the user repositories are used for retrieving.

    - #### public void setClassifier(String classifier)

      Sets the classifier of this artifact.

    - #### public void setExtension(String extension)

      Sets the extension of this artifact.

    - #### public void setName(String name)

      Sets the name of this artifact.

    - #### public void setType(String type)

      Sets the type of this artifact.

    - #### public void setUrl(String url)

      Sets the URL for this artifact.